<?
#########DADOS################################
$diretorio = $_POST[diretorio];
$banco = $_POST[nome_banco];
$user_banco = $_POST[user_banco];
$senha_banco = $_POST[senha_banco];
$conf_senha_banco = $_POST[conf_senha_banco];
$dominio = $_POST[dominio];
$email = $_POST[email];
$senha_adm = $_POST[senha_admin];
$conf_senha_adm = $_POST[conf_senha_admin];
##############################################

class Install
{
	function Main($Usuario_banco,$Senha_banco, $Banco, $Dominio,$Email,$senha_adm,$Diretorio)
	{
	 $status_Connect = $this -> Connect($Banco,$Usuario_banco,$Senha_banco);
	 $status_CriaConfig = $this -> CriaConfig($Usuario_banco, $Senha_banco, $Banco,$Dominio,$Diretorio);
	 if($status_CriaConfig =="1" || $status_Connect=="1") $facanada;
	else $status_Query = $this -> Query($Usuario_banco, $Senha_banco, $Banco, $Dominio,$Email,$senha_adm,$Diretorio);

	
	if($status_Connect == "1") header("location: index.php?msg=Não foi possivel conectar.Verifique o nome de usuário,senha e banco.");

	else if($status_Query=="1") header("location: index.php?msg=O software já está instalado .");

	else if($status_CriaConfig=="1") header("location: index.php?msg=Erro ao criar o arquivo de configuração.");	

	else header("location: CSLH/");


	}

	function Connect($Banco,$Usuario_banco,$Senha_banco)
	{
	 $conexao = @mysql_connect($servidor,$Usuario_banco,$Senha_banco);
	  if(!@mysql_select_db($Banco, $conexao))
	  {
	  return "1";
	  }
	}


	function Query($Usuario_banco, $Senha_banco, $Banco, $Dominio,$Email,$senha_adm,$Diretorio)
	{
	 $this -> Connect($Banco,$Usuario_banco,$Senha_banco);
	 include("sql.php");



	     for($x=0; $x<=count($sql); $x++)
             {
		 $verifique = "SELECT * FROM livehelp_users";
		 if(mysql_query($verifique)&& $x=="0") return "1";
		else
		{
          	 mysql_query($sql[$x]);
		}
             }

	}
	function CriaConfig($Usuario_banco, $Senha_banco, $Banco,$Dominio,$Diretorio)
	{
	$conteudo = "<?
	\$server = 'localhost';
        \$database = '$Banco';
        \$datausername = '$Usuario_banco';
        \$password = '$Senha_banco';
        \$application_root = '$_SERVER[DOCUMENT_ROOT]/$Diretorio';
	
	?>";

	if(!$abrir = @fopen("config-dados.php","w+")) return "1";
	@fwrite($abrir,$conteudo);
	@fclose($abrir);
	
	
	}

}

$Install = new Install();
$Install -> Main($user_banco,$senha_banco,$banco,$dominio,$email,$senha_adm,$diretorio);

?>
